Summary: High Performance and highly configurable freeRADIUS server
Name: freeradius
Version: 1.1.6
Release: 1tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.freeradius.org/pub/radius/%{name}-%{version}.tar.bz2
Source1: radiusd.init
Source2: radiusd-logrotate
Source3: radiusd-pam
Patch0: freeradius-1.0.4-nscdfix.patch
URL: http://www.freeradius.org
Requires: chkconfig kerberos5-libs 
BuildRequires: kerberos5-devel openldap-devel postgresql-devel mysql-devel pam-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
The FreeRADIUS Server Project is a high performance and highly configurable 
GPL'd free RADIUS server. The server is similar in some respects to 
Livingston's 2.0 server.  While FreeRADIUS started as a variant of the 
Cistron RADIUS server, they don't share a lot in common any more. It now has 
many more features than Cistron or Livingston, and is much more configurable.

FreeRADIUS is an Internet authentication daemon, which implements the RADIUS 
protocol, as defined in RFC 2865 (and others). It allows Network Access 
Servers (NAS boxes) to perform authentication for dial-up users. There are 
also RADIUS clients available for Web servers, firewalls, Unix logins, and 
more.  Using RADIUS allows authentication and authorization for a network to 
be centralized, and minimizes the amount of re-configuration which has to be 
done when adding or deleting new users.

%package libs
Summary: freeRADIUS - Static Libraries
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description libs
This package contains the static libraries needed by freeRADIUS

%package devel
Summary: freeRADIUS - *.la
Group: Trustix Official
Requires: %{name}-libs

%description devel
This package contains libtool files *.la files needed for development

%package mysql
Summary: MySQL bindings for freeradius
Group: Trustix Official
Requires: %{name} = %{version}-%{release}
Requires: mysql

%description mysql
The FreeRADIUS Server Project is a high performance and highly configurable 
GPL'd free RADIUS server. The server is similar in some respects to 
Livingston's 2.0 server.  While FreeRADIUS started as a variant of the 
Cistron RADIUS server, they don't share a lot in common any more. It now has 
many more features than Cistron or Livingston, and is much more configurable.

FreeRADIUS is an Internet authentication daemon, which implements the RADIUS 
protocol, as defined in RFC 2865 (and others). It allows Network Access 
Servers (NAS boxes) to perform authentication for dial-up users. There are 
also RADIUS clients available for Web servers, firewalls, Unix logins, and 
more.  Using RADIUS allows authentication and authorization for a network to 
be centralized, and minimizes the amount of re-configuration which has to be 
done when adding or deleting new users.

%package postgresql
Summary: postgresql bindings for freeradius
Group: Trustix Official
Requires: %{name} = %{version}-%{release}
Requires: postgresql

%description postgresql
The FreeRADIUS Server Project is a high performance and highly configurable 
GPL'd free RADIUS server. The server is similar in some respects to 
Livingston's 2.0 server.  While FreeRADIUS started as a variant of the 
Cistron RADIUS server, they don't share a lot in common any more. It now has 
many more features than Cistron or Livingston, and is much more configurable.

FreeRADIUS is an Internet authentication daemon, which implements the RADIUS 
protocol, as defined in RFC 2865 (and others). It allows Network Access 
Servers (NAS boxes) to perform authentication for dial-up users. There are 
also RADIUS clients available for Web servers, firewalls, Unix logins, and 
more.  Using RADIUS allows authentication and authorization for a network to 
be centralized, and minimizes the amount of re-configuration which has to be 
done when adding or deleting new users.description mysql
 
%prep
%setup -q
%patch0 -p1 
#%patch1 -p1 

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-lgnutls -lgnutls-extra -lgcrypt" %configure \
		--enable-shared \
		--sysconfdir=/etc \
		--mandir=%{_mandir} \
		--with-gnu-ld \
		--with-threads \
		--with-snmp=yes \
		--disable-ltdl-install \
		--with-rlm-sql_postgresql-include-dir=%{_include}/postgresql \
		--with-rlm-sql_mysql-include-dir=%{_include}/mysql \
		--with-mysql-lib-dir=%{_libdir}/mysql \
		--libdir=%{_libdir} \
		--with-system-libtool 
		


make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,pam.d,init.d}
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT%{_docdir}/freeradius-%{version}
make R=$RPM_BUILD_ROOT install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/radiusd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/radiusd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/radius

# remove unwanted stuff
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/builddbm.8
rm -f $RPM_BUILD_ROOT%{_prefix}/sbin/rc.radiusd

pushd $RPM_BUILD_ROOT%{_docdir}/freeradius-%{version}
mv ../freeradius/* .
popd


%post
/sbin/ldconfig
/sbin/chkconfig --add radiusd
# Restart service after upgrade
/sbin/restart_maybe radiusd

%preun
if [ "$1" = "0" ]; then
        service radiusd stop 2> /dev/null > /dev/null || :
        /sbin/chkconfig --del radiusd
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ChangeLog doc/README* todo/ COPYRIGHT INSTALL
%config(noreplace) /etc/pam.d/radius
%config(noreplace) /etc/logrotate.d/radiusd
%config(noreplace) /etc/init.d/radiusd
%config(noreplace) /etc/raddb/*
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/%{name}
%{_mandir}/*/*
%{_sbindir}/*
%attr(0700,root,root) %dir /var/log/radius
%attr(0700,root,root) %dir /var/log/radius/radacct
%attr(0700,root,root) %dir /var/run/radiusd

%files devel
%{_libdir}/*.la

%files libs
%{_libdir}/libeap*.a
%{_libdir}/libradius*.a
%{_libdir}/rlm_[a-r]*.a
%{_libdir}/rlm_sql*.a
%{_libdir}/rlm_[t-z]*.a


%files mysql
%defattr(-,root,root)
%{_libdir}/*_mysql*.a

%files postgresql
%defattr(-,root,root)
%{_libdir}/*_postgresql*.a

%changelog
* Mon Apr 16 2007 Nived Gopalan <nived at trustix dot org> 1.1.6-1tr
- New upstream.
- SECURITY Fix: A security issue has been reported in FreeRADIUS,
  caused due to a memory leak within the handling of certain malformed
  diameter format values inside an EAP-TTLS tunnel. This can be 
  exploited to exhaust all available memory by sending a large number
  of malformed authentication requests to a vulnerable server.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2007-2028 to this issue.

* Wed Apr 05 2006 Nived Gopalan <nived at trustix dot org> 1.1.1-1tr
- New upstream.
- SECURITY Fix: A vulnerability has been reported in FreeRADIUS
  caused due to an input validation error in the EAP-MSCHAPv2 state
  machine. This can be exploited by manipulating the state machine
  on a client system to bypass server authentication checks. Successful
  exploitation may allow the attacker to gain network access without
  requiring knowledge of logon credentials or cause the server to crash.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-1354 to this issue.

* Thu Oct 13 2005 Ajith Thampi <ajith at comodo dot com> 1.0.4-2tr
- enable shared now
- fix dependencies
- fix undefined symbol nscd_flush_cache breaking radiusd daemon
		
* Fri Jun 24 2005 Hasher J <hasher at comodo dot com> 1.0.4-1tr
- New upstream.
- Fix installation problem.
  Increase a buffer size, so radrelay doesn't truncate values.
  Updates in the documentation. Patches from Thor Spruyt.
- Security Fixes
  Always escape the strings in the SQL module.
  Check buffer bound when input character needs escaping in
  the SQL module. Bug found by Primoz Bratanic.

* Thu May 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0.2-5tr
- Security Fix: Potential SQL Injection and Buffer Overflow Vulnerabilities.
- A boundary error in the "sql_escape_func()" function in rlm_sql.c
  can potentially be exploited to cause a buffer overflow via specially
  crafted input that needs escaping.

- Missing sanitation when calling the "radius_xlat()" function in
  rlm_sql.c can potentially be exploited by authenticated users to
  manipulate SQL queries by injecting arbitrary SQL code.

* Wed Apr 20 2005 Ajith Thampi <ajith at comodo dot com> 1.0.2-4tr
- Rebuilt for postgresql-8.0.2
- Changed to new init priority

* Tue Apr 12 2005 Raghu <raghu at comodo dot com> 1.0.2-3tr
- Rebuilt for openldap-2.2.24

* Tue Apr 12 2005 Raghu <raghu at comodo dot com> 1.0.2-2tr
- Rebuilt for openldap-2.2.9

* Tue Apr 05 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0.2-1tr
- Initial Spec for TSL-3.0
